MobiariDocs

Save the checkout contact details (PATCH)

PATCH
/storefront-api/{store_slug}/api/cart/contact

Same as POST .../api/cart/contact.

Path Parameters

store_slug*string

Store slug

Header Parameters

x-cart-id?|

The shopper's cart; the cart_id cookie or body field works too

Formatuuid

Request Body

application/json

TypeScript Definitions

Use the request body type in TypeScript.

Response Body

application/json

application/json

application/json

application/json

application/json

curl -X PATCH "https://example.com/storefront-api/string/api/cart/contact" \  -H "Content-Type: application/json" \  -d '{}'
{
  "cart_id": "b5b98de2-0f5f-4a68-b8c7-2aa7bb7683bb",
  "customer_type": "existing",
  "identified_customer_id": "4c98b6c8-5cb3-4149-be2b-3dd67fa336c6",
  "success": true
}
{
  "code": "not_found",
  "details": {},
  "error": "Order not found"
}
{
  "code": "not_found",
  "details": {},
  "error": "Order not found"
}
{
  "code": "not_found",
  "details": {},
  "error": "Order not found"
}
{
  "code": "not_found",
  "details": {},
  "error": "Order not found"
}